#!/bin/bash

me=$(readlink -f $0)
BASE=$(dirname ${me})

OS=$(if [ -e /etc/redhat-release ]; then cat /etc/redhat-release | head -n 1 | cut -d " " -f 1 ; else if [ -r /etc/issue ] ; then cat /etc/issue | head -n 1 | cut -d " " -f 1 ; else echo unknown ; fi; fi)
OSVersion=$(if [ -e /etc/redhat-release ]; then cat /etc/redhat-release | head -n 1 | cut -d " " -f 3 ; else if [ -r /etc/issue ] ; then cat /etc/issue | head -n 1 | cut -d " " -f 3 ; else echo unknown ; fi; fi)

if [ "${OS}" != "CentOS" ];then
    read -p "Wrong OS! [Abort]" answer
    exit 2
fi

architecture=$(uname -p)
if [ ! "${architecture}" == "i686" ];then
    read -p "OS Version \"${OS} ${OSVersion}\" is wrong. This tar file is for 32-bit systems only. [Abort]" answer
    exit 4
fi

if [ -e /etc/yum.repos.d/CentOS-Base.repo ] ;then rm -f /etc/yum.repos.d/CentOS-Base.repo ; fi
if [ -e /etc/yum.repos.d/CentOS-Debuginfo.repo ] ;then rm -f /etc/yum.repos.d/CentOS-Debuginfo.repo ; fi
if [ -e /etc/yum.repos.d/CentOS-fasttrack.repo ] ;then rm -f /etc/yum.repos.d/CentOS-fasttrack.repo ; fi
if [ -e /etc/yum.repos.d/CentOS-Media.repo ] ;then rm -f /etc/yum.repos.d/CentOS-Media.repo ; fi

cat >/etc/yum.repos.d/CentOS-Vault.repo <<EOF
[C6.10-base]
name=CentOS-6.10 - Base
baseurl=http://vault.centos.org/6.10/os/\$basearch/
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6
enabled=1

[C6.10-updates]
name=CentOS-6.10 - Updates
baseurl=http://vault.centos.org/6.10/updates/\$basearch/
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6
enabled=1

[C6.10-extras]
name=CentOS-6.10 - Extras
baseurl=http://vault.centos.org/6.10/extras/\$basearch/
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6
enabled=1

[C6.10-contrib]
name=CentOS-6.10 - Contrib
baseurl=http://vault.centos.org/6.10/contrib/\$basearch/
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6
enabled=1

[C6.10-centosplus]
name=CentOS-6.10 - CentOSPlus
baseurl=http://vault.centos.org/6.10/centosplus/\$basearch/
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6
enabled=1
EOF

exit 0
